Bug 124453 - Request update of st.c driver
Request update of st.c driver
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-26 13:51 EDT by Brian Nelson
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 00:31:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Nelson 2004-05-26 13:51:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
Would it be possible to get the scsi tape driver (st.c) in the redhat 
enterprise kernel updated to the kernel-2.4.25 version?

This newer driver fixes an issue with tape drives using variable 
block size (which is darn near all current tape hardware). The 
version string for the newer driver is "20040102".

The only file that was changed is drivers/scsi/st.c (in the kernel 
tree). The new version was integrated in the 2.4.25 'reference' 
kernel.

The changelog info for this is:

Move checking the status of previous write before possible buffer 
extension. Prevents possible data corruption in variable block mode 
if the buffer is being extended more than once.


Version-Release number of selected component (if applicable):
kernel-2.4.21-15.RL

How reproducible:
Didn't try


Additional info:
Comment 2 Ernie Petrides 2004-06-16 03:19:28 EDT
The new version of the st.c driver has just been committed to the
RHEL3 U3 patch pool this evening (in kernel version 2.4.21-15.12.EL).
Comment 3 John Flanagan 2004-09-02 00:31:41 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-433.html

Note You need to log in before you can comment on or make changes to this bug.